This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 709328 - (psi-plus) Review Request: psi-plus - Jabber client based on Qt
Review Request: psi-plus - Jabber client based on Qt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
:
Depends On: 512000 jdns 1234209
Blocks: RussianFedoraRemix DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2011-05-31 08:10 EDT by Ivan Romanov
Modified: 2015-12-17 09:54 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-01 20:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
projects.rg: fedora‑review+


Attachments (Terms of Use)
rpmlint output for all available packages and subpackages (62.29 KB, application/octet-stream)
2011-06-05 13:08 EDT, Mario Blättermann
no flags Details
licensecheck.txt (169.82 KB, text/plain)
2015-10-14 14:24 EDT, Raphael Groner
no flags Details

  None (edit)
Comment 1 Mario Blättermann 2011-06-04 13:43:11 EDT
(In reply to comment #0)
> Hello. I allready have experience with packaging for Fedora.

Does this mean, you are already a member of the Fedora packagers group? If no, you need a sponsor, even if you have built packages for RussianFedora.
Comment 2 Ivan Romanov 2011-06-04 13:52:04 EDT
Sure, I member of the Fedora packagers group. You can see my packages mingw32-dbus and qconf.
Comment 3 Mario Blättermann 2011-06-04 14:01:42 EDT
Sorry for the noise. But your "declaration" was somewhat odd. In most cases, it is a sign that a new packager has arrived, who needs a sponsor and didn't thought about the FE-NEEDSPONSOR blocker.
Comment 4 Ivan Romanov 2011-06-04 14:06:15 EDT
No problem. You are right. Really odd. Thanks for elaboration.
Comment 5 Mario Blättermann 2011-06-04 14:06:43 EDT
To make the spec link really downloadable, you should use the following one:

Spec URL: https://github.com/RussianFedora/psi-plus/raw/master/psi-plus.spec

Then a reviewer don't have to figure out how he/she can fetch the html content as a spec file.
Comment 6 Ivan Romanov 2011-06-04 14:16:56 EDT
Is it important? Anyway I think that really important to use link with certain commit. For example, use https://github.com/RussianFedora/psi-plus/raw/5444787be737b51acc4f776b3bc823ee7adc8d74/psi-plus.spec instead of https://github.com/RussianFedora/psi-plus/raw/master/psi-plus.spec
Comment 7 Mario Blättermann 2011-06-04 16:15:14 EDT
The certain commit isn't important for me actually. In fact, I prefer to right-click on a link and choose "Link target save as" or something similar. In our case, I get a html file. Most newly to be reviewed packages don't have a version control yet anyway.
Comment 8 Ivan Romanov 2011-06-05 01:34:52 EDT
Ok. I will use direct link. 

Can you do review?
Comment 10 Mario Blättermann 2011-06-05 13:08:48 EDT
Created attachment 503103 [details]
rpmlint output for all available packages and subpackages
Comment 11 Mario Blättermann 2011-06-05 13:44:37 EDT
The rpmlint output is 548 lines long, that's why I've attached it.

Some initial issues:

The License declaration GPLv2+1 doesn't exist. The file src/main.cpp is GPLv2+. What does the additional "1" mean?

The "Packager:" line isn't used in Fedora.

Where do you've got the skins, icons and themes from? I don't see any licensing info about them. And moreover, why do you use them as additional sources and split them again into subpackages? In my mind, it would be better to package them separately, because the main package doesn't need them mandatory.

You can "qt-devel" drop from BuildRequires, the "qtwebkit-devel" depends on it anyway.

psi-plus.desktop isn't properly installed, look here:
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

The FSF address is incorrect in the source files. Not worth a patch, but worth a upstream bug report tough.

If you would call %configure instead of ./configure, you could drop the four lines which define the macros for install locations.
Comment 12 Raphael Groner 2011-06-05 16:27:49 EDT
As a regular user of Fedora, I am very interested in seeing an official package for psi-plus. Though, I am no contributor of packages.

There's already a Fedora package for psi that is fully open source (GPL), as far as I understand. Psi-plus is thereby based on the source of psi but has a big amount of patches that have to be licensed separately. Further, psi development seems to be nearly dead at the moment, so it should be appreciated that a development is going on with those "semi-official" patches as a branch(?) of the mainstream source.

Maybe RPMFusion or similiar is a better place for such a package if there are licence issues. Fedora won't accept any package with any non-free content in it.
Comment 13 Mario Blättermann 2011-06-05 16:41:43 EDT
(In reply to comment #12)

> Maybe RPMFusion or similiar is a better place for such a package if there are
> licence issues. Fedora won't accept any package with any non-free content in
> it.

I'm unsure if we speak about non-free content here. But I see there are additional sources for which we have to point out the license. If it should be really proprietary or the distribution of those parts is restricted in any other way, you are right, then Fedora cannot ship it. In that case, RPMfusion would be an option.

Moreover, there is the question whether psi-plus affects the original psi package in some way...?
Comment 14 Raphael Groner 2011-06-06 17:33:53 EDT
I don't see any reason why someone should use both psi and psi-plus in parallel. In my opinion, psi-plus obsoletes psi.
Comment 15 Raphael Groner 2011-06-07 13:18:21 EDT
Could you provide for each source an url where it is from?

<snip>
Source0:        http://koji.russianfedora.ru/storage/psi-plus/%{name}-%{version}-20110530svn3954.tar.bz2
Source1:        iconsets.tar.bz2
Source2:        language_ru.tar.bz2
Source3:        skins.tar.bz2
Source4:        themes.tar.bz2
</snip>
Comment 16 Ivan Romanov 2011-06-16 11:43:16 EDT
(In reply to comment #11)
> The rpmlint output is 548 lines long, that's why I've attached it.
> 
> Some initial issues:
> 
> The License declaration GPLv2+1 doesn't exist. The file src/main.cpp is GPLv2+.
> What does the additional "1" mean?
This is jusr misspeling. Actually it used GPLv2, LGPLv2 and BeerWare licenses. 

> Where do you've got the skins, icons and themes from? I don't see any licensing info about them.
This difficult question. Developers of Psi+ don't care about license cleaning. Sad but true. I trying to find sources of this resources. 

> And moreover, why do you use them as additional sources and
> split them again into subpackages? In my mind, it would be better to package
> them separately, because the main package doesn't need them mandatory.
Often this resources updates. By this reason I always build one common package. It's more comfortable for me. It's difficult to wathcing for updates resources.

> You can "qt-devel" drop from BuildRequires, the "qtwebkit-devel" depends on it
> anyway.
Old version of Fedora haven't qtwebkit-devel package. While I want to have a compatible with it.

> psi-plus.desktop isn't properly installed, look here:
> http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
Oh damn :(. Sources have a psi.desktop file. When is bening installed this file copying with name psi-plus.desktop in application dir. I don't know what I should do in such case. Is maybe desktop-file-validate can help me?

> The FSF address is incorrect in the source files. Not worth a patch, but worth
> a upstream bug report tough.
I have talk with Rion (upstream developer). It don't interesting for him.

> If you would call %configure instead of ./configure, you could drop the four
> lines which define the macros for install locations.
I might use only ./configure. It non-auntoconf ./configure. qconf-qt4 generates non-compatible ./configure script.
Comment 17 Ivan Romanov 2011-06-16 11:46:50 EDT
(In reply to comment #12)
> Maybe RPMFusion or similiar is a better place for such a package if there are
> licence issues. Fedora won't accept any package with any non-free content in
> it.

Atm Russian Fedora provide this package. I don't want to use RPMFussion or any other similar Repo.
Comment 18 Ivan Romanov 2011-06-16 11:52:10 EDT
(In reply to comment #14)
> I don't see any reason why someone should use both psi and psi-plus in
> parallel. In my opinion, psi-plus obsoletes psi.

Conflicts don't allowed in Fedora distribution. It's very uncomfortable when one package server as a noise to other.
Comment 19 Ivan Romanov 2011-06-16 11:53:50 EDT
(In reply to comment #15)
> Could you provide for each source an url where it is from?
> 
> <snip>
> Source0:       
> http://koji.russianfedora.ru/storage/psi-plus/%{name}-%{version}-20110530svn3954.tar.bz2
> Source1:        iconsets.tar.bz2
> Source2:        language_ru.tar.bz2
> Source3:        skins.tar.bz2
> Source4:        themes.tar.bz2
> </snip>

It haven't url. I got it all from https://psi-dev.googlecode.com/svn/trunk/.
Comment 21 Raphael Groner 2011-06-30 15:32:17 EDT
Maybe add bug #177841 as blocker to get more publicity :)
Comment 22 Ivan Romanov 2011-06-30 15:48:20 EDT
Good joke :)

Now we moving to github and use altered repositories for resources and patches. So I can separate all resources to new package.
Comment 23 Minh Ngo 2011-11-12 05:42:17 EST
URL for *.src.rpm packages are broken

Icons https://psi-dev.googlecode.com/svn/trunk/iconsets/clients/default/ are under Freeware license and must be deleted from the package.

Please look http://fedoraproject.org/wiki/Licensing#SoftwareLicenses for more information.
Comment 24 Raphael Groner 2011-12-20 15:24:44 EST
Could you provide new packages for git? 

There are some important fixes, incl. modifications for QtWebkit 2.2 :)

See also bug #757492.
Comment 25 Raphael Groner 2011-12-22 12:08:37 EST
Tried to build rev 20111221git5158 with files from github.com/RussianFedora/psi-plus ...

g++ -Wl,-O1 -shared -o libtranslateplugin.so translateplugin.o   -L/usr/lib64 -lQtXml -lQtGui -lQtCore -lpthread  
translateplugin.o: file not recognized: File truncated
collect2: ld gab 1 als Ende-Status zur?ck
make: *** [libtranslateplugin.so] Fehler 1
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.hNl26N (%build)


Fehler beim Bauen des RPM:
    Fehler-Status beim Beenden von /var/tmp/rpm-tmp.hNl26N (%build)
Comment 26 Raphael Groner 2011-12-22 16:09:36 EST
Scratch build for rev 20111221git5158 with files from
github.com/RussianFedora/psi-plus

http://koji.fedoraproject.org/koji/taskinfo?taskID=3601956
Comment 27 Raphael Groner 2011-12-22 16:12:10 EST
Add BuildRequires libicu-devel to psi-plus.spec
Comment 28 Ivan Romanov 2011-12-23 20:36:17 EST
What for is need libicu-devel?
Comment 29 Raphael Groner 2011-12-24 08:22:37 EST
(In reply to comment #28)
> What for is need libicu-devel?

From koji build.log:
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.46: cannot open shared object file: No such file or directory)" 

$ yum info libicu
Name       : libicu
Zusammenfassung     : International Components for Unicode - libraries
URL        : http://www.icu-project.org/
Lizenz     : MIT and UCD and Public Domain
Beschreibung : The International Components for Unicode (ICU) libraries provide
             : robust and full-featured Unicode services on a wide variety of
             : platforms. ICU supports the most current version of the Unicode
             : standard, and they provide support for supplementary Unicode
             : characters (needed for GB 18030 repertoire support).
             : As computing environments become more heterogeneous, software
             : portability becomes more important. ICU lets you produce the same
             : results across all the various platforms you support, without
             : sacrificing performance. It offers great flexibility to extend
             : and customize the supplied services.
Comment 30 Raphael Groner 2011-12-24 15:33:59 EST
(In reply to comment #29)
(In reply to comment #28)
> What for is need libicu-devel?

The dependency to libicu is a (potential) bug in Qt package. Please take a look at bug #759923 for more information.
Comment 31 Ivan Romanov 2011-12-30 04:41:21 EST
Hm ... I've separated resources. Now psi-plus package doesn't content any stuff with non-free licenses. Furthemore I've explain all licenses which exist in psi-plus sources.

Spec URL:
https://github.com/downloads/drizt/psi-plus/psi-plus.spec
SRPM URL:
https://github.com/downloads/drizt/psi-plus/psi-plus-0.15-0.23.20111220git5157.fc15.src.rpm
Description: Psi+ - Psi IM Mod by psi-dev@conference.jabber.ru

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3610672
Comment 32 Ivan Romanov 2011-12-31 23:01:13 EST
$ rpmlint psi-plus-0.15-0.23.20111220git5157.fc15.src.rpm
psi-plus.src: W: invalid-license LGPLv2.1+
psi-plus.src: W: invalid-license MIT/X11
psi-plus.src: W: invalid-license zlib/libpng
psi-plus.src: W: strange-permission generate-tarball.sh 0755L
psi-plus.src:207: W: macro-in-comment %doc
psi-plus.src:207: W: macro-in-comment %files
psi-plus.src: W: invalid-url Source1: language_ru.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

$ rpmlint psi-plus-0.15-0.23.20111220git5157.fc15.i686.rpm
psi-plus.i686: W: incoherent-version-in-changelog 0.15-0.23.20111220git5157 ['1:0.15-0.23.20111220git5157.fc15', '1:0.15-0.23.20111220git5157']
psi-plus.i686: W: invalid-license LGPLv2.1+
psi-plus.i686: W: invalid-license MIT/X11
psi-plus.i686: W: invalid-license zlib/libpng
psi-plus.i686: E: incorrect-fsf-address /usr/share/doc/psi-plus-0.15/COPYING
psi-plus.i686: W: no-manual-page-for-binary psi-plus
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

$ rpmlint psi-plus-plugins-0.15-0.23.20111220git5157.fc15.i686.rpm
psi-plus-plugins.i686: W: spelling-error %description -l en_US Autoreply -> Auto reply, Auto-reply, Reputably
psi-plus-plugins.i686: W: spelling-error %description -l en_US Captcha -> Catchall
psi-plus-plugins.i686: W: spelling-error %description -l en_US captcha -> catchall
psi-plus-plugins.i686: W: spelling-error %description -l en_US vCards -> v Cards, cards, canards
psi-plus-plugins.i686: W: spelling-error %description -l en_US iconsets -> icon sets, icon-sets, consents
psi-plus-plugins.i686: W: spelling-error %description -l en_US submenu -> sub menu, sub-menu, submerse
psi-plus-plugins.i686: W: spelling-error %description -l en_US Gmail -> Gail, Mail, Email
psi-plus-plugins.i686: W: spelling-error %description -l en_US Juick -> Buick, Juice, Juicy
psi-plus-plugins.i686: W: spelling-error %description -l en_US microblogging -> micro blogging, micro-blogging, microbiological
psi-plus-plugins.i686: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
psi-plus-plugins.i686: W: spelling-error %description -l en_US Qip -> Sip, Nip, Rip
psi-plus-plugins.i686: W: spelling-error %description -l en_US Screenshot -> Screen shot, Screen-shot, Screens hot
psi-plus-plugins.i686: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
psi-plus-plugins.i686: W: spelling-error %description -l en_US Yandex -> Spandex
psi-plus-plugins.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 15 warnings.
Comment 34 Ivan Romanov 2012-01-16 11:51:49 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3706229
Comment 36 Ivan Romanov 2012-01-16 12:23:45 EST
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3706346
Comment 38 Volker Fröhlich 2012-01-25 08:12:09 EST
Are you bundling minizip and zlib here?
Comment 39 Ivan Romanov 2012-01-25 08:37:00 EST
What you want to say?
Comment 40 Ivan Romanov 2012-01-25 08:39:38 EST
hm ... sourcents contents minizip
Comment 41 Ivan Romanov 2012-01-25 13:48:57 EST
minizip came from original psi. psi package for Fedora contents minizip too. I agree psi-plus should use minizip as shared library instead of minizip as part of psi sources. I would keep this issue for future.
Comment 42 Ivan Romanov 2012-01-25 13:51:50 EST
Atm I'm working with fsf incorrect address.
Comment 43 Raphael Groner 2012-01-25 14:05:06 EST
(In reply to comment #41)
> I agree psi-plus should use minizip as shared library instead of minizip as part
> of psi sources.

Qt ships an own libpng internally. It can be disabled by usage of #define for building and #ifdef in the Qt sources then takes care of that issue. Fedora is using this feature cause the guys decided to stay with an old libpng for a long time, don't ask me for details and it will be definetely off-topic here. 
Maybe something similiar can be done for minizip usage in psi sources.
Comment 44 Ivan Romanov 2012-01-26 04:18:46 EST
Really psi-plus uses system minizip if exists. For this it enough to add minizip-devel to BuildRequires.
Comment 46 Martin Gieseking 2012-01-26 09:55:20 EST
(In reply to comment #44)
> Really psi-plus uses system minizip if exists. For this it enough to add
> minizip-devel to BuildRequires.

It's not sufficient to add BR: minizip-devel. You must explicitly remove the bundled code in the %prep section:
http://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries#Packages_with_Bundled_Libraries

This probably also applies to the qca stuff.
Comment 47 Ivan Romanov 2012-01-26 10:24:30 EST
Hm ...  I can't understand why I MUST remove the
bundled code in the %prep section?
Comment 48 Martin Gieseking 2012-01-26 10:40:42 EST
It's necessary to ensure that none of the bundled source files are involved in the build process. Adding BR: minizip-devel might lead to the expected result, but it's always possible that bundled header or configuration files are unintentionally incorporated in the build process. To prevent this reliably, the removal of the bundled library code is required.
Comment 50 Ivan Romanov 2012-01-28 11:50:30 EST
psi-plus package provides bundled iris library because it always uses last version. So I can't use system iris.
SPEC:
https://raw.github.com/drizt/psi-plus-package/19d218b9247586584ca31ad65889a4eb83c5f16e/psi-plus.spec
Comment 51 Susi Lehtola 2012-01-28 11:56:59 EST
(In reply to comment #50)
> psi-plus package provides bundled iris library because it always uses last
> version. So I can't use system iris.

Then either you need to make sure that you're always using the version of iris required, or ask the Fedora Packaging Committee for a bundled library exception.
Comment 52 Rex Dieter 2012-01-28 12:10:16 EST
fwiw, the iris packaging in fedora at the moment *is* (or should be) the latest available in upstream svn.  However, some apps that bundle it seem to use headers that are private to iris, and not part of the exported api.  (Same problem exists in psi already in fedora).  Is this the case here, or is it something else?
Comment 53 Ivan Romanov 2012-01-29 04:39:52 EST
(In reply to comment #51)
> 
> Then either you need to make sure that you're always using the version of iris
> required, or ask the Fedora Packaging Committee for a bundled library
> exception.

Psi+ patches modify original iris from github. So I think it is sufficient reason to grant exception. I will ask to Fedora Packaging Committee for exception.
Comment 54 Ivan Romanov 2012-01-29 04:53:19 EST
I opened exception issue https://fedorahosted.org/fesco/ticket/779
Comment 55 Ralf Corsepius 2012-01-29 16:23:37 EST
(In reply to comment #53)
> Psi+ patches modify original iris from github.

Please explain in detail why they are doing so.
Comment 56 Pavel Alexeev 2012-01-30 09:22:15 EST
Yes, and why did not send patches back to upstream?
Comment 57 Rex Dieter 2012-01-30 09:32:20 EST
Those questions (and answers) will hopefully get answered in the fpc iris bundling exception request,
https://fedorahosted.org/fpc/ticket/137
Comment 58 Ivan Romanov 2012-01-30 10:57:43 EST
(In reply to comment #56)
> Yes, and why did not send patches back to upstream?

Because ask Rion why he didn't send patches to himself. ;)
Comment 59 Raphael Groner 2012-01-30 13:56:07 EST
I can't modify the fields "Blocks", "Depends on" or "See also" of this bug. 
So, here is the direct link for the original problem in psi package. Only for the sake of completeness.

https://bugzilla.redhat.com/show_bug.cgi?id=737304
Comment 61 Raphael Groner 2012-03-11 12:33:26 EDT
Is it possible to get OTR included? Please consider the patch in ArchLinux forum.

https://bbs.archlinux.org/viewtopic.php?id=134458
Comment 62 Ivan Romanov 2012-03-11 12:41:53 EDT
I afraid it is imposible to get psi-plus included in Fedora.
Comment 63 Rex Dieter 2012-03-11 16:31:05 EDT
Raphael, in general, if you want a feature, get it upstream, carrying downstream feature patches are far from ideal.

I'm on jabber now to try to contact psi-plus devs about bundled iris.
Comment 64 Rex Dieter 2012-03-11 16:39:55 EDT
rats, I'm getting errors trying to send to psi-dev@conference.jabber.ru atm. :(  I'll try posting on their forum I guess.
Comment 65 Rex Dieter 2012-03-11 16:51:16 EDT
and, my forum post is being held for moderation.  frustrating.  (but hopeful).


Here's a copy of my post (for posterity):

hi, I'm involved in trying to bring psi-plus to fedora (see https://bugzilla.redhat.com/show_bug.cgi?id=psi-plus ).    I'd already worked to package iris separately, using sources from http://delta.affinix.com/iris/ , but one issue here is that it bundles a modified copy of iris library.

What is the relationship between psi/isis @ affinix.com and psi+ ?  
What modifications have been made to (affinix) iris, and more importantly, any immediate or long-term plans to upstream these back affinix?
Would you be open to the possibility of downstream distros to be able to ship a common/unbundled iris library for application consumers (like psi, psi+, tomahawk, kopete, etc...)?
Comment 66 Ivan Romanov 2012-03-12 05:24:34 EDT
Hi, Rex. I've posted your message on psi-dev conference.
Comment 67 Rex Dieter 2012-03-12 10:56:39 EDT
Is it active only at certain times of the day?  I just tried to post, and it failed again.
Comment 68 Rex Dieter 2012-03-12 11:44:32 EDT
ok, my bad, seems psi-dev@conference.jabber.ru is a 'groupchat', I need to figure out how to do that in telepathy (using psi now).
Comment 69 Raphael Groner 2012-08-06 15:31:41 EDT
OpenSuSE Build Service has psi-plus.spec. Already over two years old, but well …

https://build.opensuse.org/package/files?package=psi-plus&project=home%3Ah31
Comment 70 Raphael Groner 2012-08-06 15:33:06 EDT
(In reply to comment #69)
At least, the issue with patches is solved better.
Comment 71 Rex Dieter 2012-11-07 12:22:33 EST
Copying from 
https://fedorahosted.org/fpc/ticket/137

Discussed a bit more with fpc (finally), and an acceptable approach with respect to libirus bundling would be to package this libiris version/fork separately (as a subpkg or whatever), calling it something like psi++-libiris or libiris-psi++ (in a way that does not conflict with the existing libiris package).


(In the meantime, I'm going to try to carve out some time to provide libiris as a subpkg of psi , instead of packaging it separately.  Hopefully the work done there can be leveraged here as well)
Comment 72 Rex Dieter 2014-02-27 20:25:08 EST
As threatened many moons ago per comment #71, I took the latest psi-plus src.rpm from russianfedora repo, and basically merged the stuff from the standalone iris package already in fedora, so that iris (and friends) are built from psi-plus instead.  So far I've only tested that it builds locally, no run-time testing.

%changelog
* Thu Feb 27 2014 Rex Dieter <rdieter@fedoraproject.org> 0.16-0.10.20140128git271.1
- support building shared iris bits from here (instead of standalone iris packaging)
- fix/optimize icon scriptlets
- drop deprecated Group: tags

http://rdieter.fedorapeople.org/rpms/psi/psi-plus.spec
http://rdieter.fedorapeople.org/rpms/psi/psi-plus-0.16-0.10.20140128git271.1.src.rpm

f20 scratch build attempt: (still going)
http://koji.fedoraproject.org/koji/taskinfo?taskID=6579160

hrm, yay for local builds succeeding and koji failing, but this doesn't look too hard to fix: (need libirisnet to link libqjdns too)
/usr/bin/ld: warning: libqjdns.so.1, needed by /builddir/build/BUILD/psi-plus-0.16-20140128git271/iris/lib/libirisnet.so, not found (try using -rpath or -rpath-link)
/builddir/build/BUILD/psi-plus-0.16-20140128git271/iris/lib/libirisnet.so: undefined reference to `QJDns::NameServer::NameServer()'
...
Comment 73 Rex Dieter 2014-03-11 15:47:57 EDT
OK, the difference was my local system had been configured to use ld.gold , not the default ld.bfd.  Followed the advice and added -Wl,-rpath-link= and now we have a winner.

http://rdieter.fedorapeople.org/rpms/psi/psi-plus.spec
http://rdieter.fedorapeople.org/rpms/psi/psi-plus-0.16-0.11.20140128git271.fc20.src.rpm

Ivan, are you still interested in maintaining/submitting this?  (If not, I'll likely resubmit this myself, as this is a slightly easier approach than maintaining iris separately).
Comment 74 Ivan Romanov 2014-03-12 00:31:00 EDT
I am still interested with psi-plus package in Fedora. I talked with Rion. He agree to use external iris. Unsure I'm still can't find a time to do iris-related issuees.

About your package. Please don't remove epoch tag. 
Is it ok to two copies of iris in Fedora?
Comment 75 Rex Dieter 2014-03-12 11:16:17 EDT
1. The package I referenced (still) includes an Epoch, it has
Epoch: 1

2. My intent is to Obsolete/retire iris, and provide it from psi-plus packaging here instead.  No need for any external iris (as far as psi-plus is concerned)

Does that help clarify matters?
Comment 76 Christopher Meng 2014-03-13 03:17:36 EDT
I think that this package should be named as:

psi+

instead of

psi-plus

since RPM supports + in the package name.
Comment 77 Rex Dieter 2014-03-13 09:29:02 EDT
The upstream site/tarball uses psi-plus, e.g.
http://files.psi-plus.com/sources/

packaging should follow suit (though honestly, I don't care strongly, consider this bike-shedding a bit)

Ivan, when/if you can post some updated src.rpm's, I (or someone here) would likely be able to pick up reviewing this relatively quick.
Comment 78 Raphael Groner 2014-03-26 11:30:22 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1081055
Comment 79 Rex Dieter 2014-03-26 11:48:30 EDT
ping Ivan, any eta of seeing a new reviewable package that includes these suggestions from comment #73 ?  

Ff you incorporate those changes, we should be pretty close to having a successful review and psi-plus included in fedora relatively quick.
Comment 80 Jon Ciesla 2014-03-26 12:34:53 EDT
No SCM request found, unsetting flag.
Comment 81 Rex Dieter 2014-03-26 16:28:06 EDT
oops, setting the right flag this time (fedora-review)
Comment 82 Ivan Romanov 2014-03-27 11:45:28 EDT
You don't want to use common iris for Psi+ and Kopete?
Your way looks like a workaround for Fedora Bundled Libraries rules. No different to use static or shared libraries with such implementation.
Comment 83 Rex Dieter 2014-03-27 15:08:23 EDT
We *do* want to use a common iris, the one from this package.  Sorry if that wasn't clear.
Comment 84 Ivan Romanov 2014-03-27 17:12:12 EDT
Ok. Now I understand what you do. Anyway it's very strange that I must build psi-plus to get iris library. It's workaround. Please give me a time. I think I can resolve problems with standalone iris and qjdns libraries. And will be two tarbalse iris-xxx.tar.bz2 and qjdns-xxx.tar.bz2. I hope it is possible.
Comment 85 Rex Dieter 2014-03-28 07:59:05 EDT
You could do all separate tarballs (and packaging) if you want, but that will be more work and isn't necessarily.  Creating subpkgs from psi-plus (which includes those items already) as suggested here is sufficient.

For example, we'll likely end up back having problems where psi-plus using internal headers/apis, and having to worry about fixing all that.  Not that fixing such things would be bad, but it would likely mean even more time/work before psi-plus would pass review and get into fedora.
Comment 86 Ivan Romanov 2014-03-31 17:33:58 EDT
I made jdns as shared standalone library
https://github.com/psi-im/jdns 
Need some work more and will be source tarball and release version.
Comment 87 Ivan Romanov 2014-04-04 05:07:15 EDT
Rex, I submited review request for jdns package. https://bugzilla.redhat.com/show_bug.cgi?id=1084397
Comment 88 Raphael Groner 2014-05-10 06:16:02 EDT
bug #1096442
Comment 89 Rex Dieter 2014-05-28 12:09:48 EDT
ok, jdns is unbundled, please update psi-plus.spec to use it, and we can continue/finish the review.
Comment 91 Raphael Groner 2014-06-21 09:38:02 EDT
Bug Report:

https://github.com/psi-plus/plugins/blob/c5a6119f13e6182ba5564a1f2adb007cc1b83de5/generic/contentdownloaderplugin/form.cpp#L259

QFile fd(fullFileName);

if(!fd.open(QIODevice::WriteOnly) || fd.write(reply->readAll()) == -1) {
qDebug() << "Content Downloader Plugin:" << fd.errorString() << fullFileName;
}

You should change WriteOnly to (hopefully) ReadWrite, because my Qt doesn't seem to open a file as WriteOnly by default. I don't know what's the logic behind.
Comment 92 Raphael Groner 2014-06-21 09:59:33 EDT
(In reply to Raphael Groner from comment #91)

And read this:
http://stackoverflow.com/questions/17686561/qt-qnetworkreply-is-always-empty
Comment 93 Rex Dieter 2014-06-25 09:31:00 EDT
Re: comment #91 and #92, this is a package review, not an appropriate venue to report unrelated bugs.

The new spec/src.rpm looks nice, but it appears to still bundle iris.  That seems to be the last primary blocker.
Comment 94 Ivan Romanov 2014-06-25 09:52:42 EDT
In RFRemix I am using psi-plus with bundled iris.
Comment 95 Rex Dieter 2014-06-25 10:19:17 EDT
If you want this review to pass, options include:
* build iris packages from here, so they are shareable and usable elsewhere (like kopete) see comment #83 , or
* use separate unbundled iris, which you seemed to prefer in comment #84

but continuing to use a non-shared, bundled iris here is not an option.
Comment 96 Raphael Groner 2014-09-11 17:17:05 EDT
There's a similiar issue with iris also for the normal psi package: bug #737304.
Comment 97 Rex Dieter 2014-09-24 16:20:26 EDT
Ping, need answer to question posed in comment #95 if you're still interested.
Comment 98 Ivan Romanov 2014-09-24 16:29:08 EDT
(In reply to Rex Dieter from comment #95)
> If you want this review to pass, options include:
> * build iris packages from here, so they are shareable and usable elsewhere
> (like kopete) see comment #83 , or
> * use separate unbundled iris, which you seemed to prefer in comment #84
I am working on this.

> but continuing to use a non-shared, bundled iris here is not an option.
Yeah I know.

Before I knew that all Kopete patches go to original iris. So now it is not a problem. Need only to put in order iris sources. Now Psi (I mean original Psi) seems uses some private iris headers. It's not a good. Also need to move some Psi+ iris patches to iris repo.
Comment 99 Ivan Romanov 2014-09-24 16:32:22 EDT
Ah ... first issue it is to have QCA 2.1.0 with cmake rules. But there is a critical bug ... I am fixing this now ...
Comment 100 Raphael Groner 2014-10-31 11:56:42 EDT
(In reply to Ivan Romanov from comment #99)
> Ah ... first issue it is to have QCA 2.1.0 with cmake rules. But there is a
> critical bug ... I am fixing this now ...

Usage of cmake would be a great improvement, also in general. What bug are you struggling with? Can we help somehow?
Comment 101 Ivan Romanov 2014-12-13 07:55:02 EST
Skip it. cmake-2.1.0 now is in Fedora repo. So no any problems. Now we need to have unbundled iris.
Comment 102 Raphael Groner 2014-12-13 09:33:04 EST
(In reply to Ivan Romanov from comment #101)
…
> to have unbundled iris.

Yeah, we wait for that upstream fix with the official psi package, too.
Comment 103 Ivan Romanov 2014-12-14 08:36:07 EST
Sorry. I mean QCA-2.1.0
Comment 104 Raphael Groner 2014-12-14 08:51:47 EST
(In reply to Ivan Romanov from comment #101)
> Skip it. cmake-2.1.0 now is in Fedora repo. 

(In reply to Ivan Romanov from comment #103)
> Sorry. I mean QCA-2.1.0

You probably mean cmake v2.8.x as in Fedora 20, and Fedora 21 has alreade cmake v3.0.x …
Comment 105 Ivan Romanov 2014-12-14 17:16:37 EST
I mean exactly I mean
Comment 106 Raphael Groner 2015-01-30 14:59:39 EST
Use autodownloader and remove content downloader plugin:

https://admin.fedoraproject.org/pkgdb/package/autodownloader/

1) Plugin has bad usability and does not work properly.
2) Autodownloader will ask the user if it should download additional stuff like icons etc., this is without legal issue cause of the manual question to confirm by the individual user.
Comment 107 Raphael Groner 2015-02-25 10:22:42 EST
Ping?
Comment 108 Raphael Groner 2015-04-29 06:26:54 EDT
Upstream plans to officially release Psi 0.16 (and move Psi+ towards 0.17?):
https://github.com/psi-plus/main/issues/560
Comment 109 Raphael Groner 2015-05-28 04:30:56 EDT
Is there still interest to have an official psi-plus package? I see currently two blockers:
- bundled iris (e.g. iris in Fedora is too old for unbundling)
-- can we patch the official iris package? Upstream of iris is the same as of psi.
- official release for psi 0.16 is awaited at upstream, so it will obsolete a psi-plus 0.16-0.X.foobar
-- when this will happen is in the stars still ...
Comment 110 Raphael Groner 2015-05-30 14:09:36 EDT
psi-plus snapshot of revision 457 currently is FTBFS cause of too old qmake.

...
+ qconf-qt4
Project name: Psi
Profile: psi.pro
Deps: qt4* buildmodeapp* idn* qca* zlib* qjdns* x11* universal qdbus webkit growl whiteboarding xss aspell enchant spell* plugins conf* psimedia recursiveprl*
'configure' written.
+ ./configure --prefix=/usr --bindir=/usr/bin --libdir=/usr/lib64 --datadir=/usr/share --release --no-separate-debug-info --enable-webkit --enable-plugins --enable-whiteboarding --psimedia-path=/usr/lib64/psi/plugins/libgstprovider.so
Configuring Psi ...
Verifying Qt 4 build environment ... fail
Reason: There was an error compiling 'conf'.  See conf.log for details.
Be sure you have a proper Qt 4.0 build environment set up.  This means not
just Qt, but also a C++ compiler, a make tool, and any other packages
necessary for compiling C++ programs.
If you are certain everything is installed, then it could be that Qt 4 is not
being recognized or that a different version of Qt is being detected by
mistake (for example, this could happen if $QTDIR is pointing to a Qt 3
installation).  At least one of the following conditions must be satisfied:
 1) --qtdir is set to the location of Qt
 2) $QTDIR is set to the location of Qt
 3) QtCore is in the pkg-config database
 4) qmake is in the $PATH
This script will use the first one it finds to be true, checked in the above
order.  #3 and #4 are the recommended options.  #1 and #2 are mainly for
overriding the system configuration.


https://github.com/psi-plus/main/issues/624
Comment 111 Raphael Groner 2015-05-31 04:58:41 EDT
(In reply to Raphael Groner from comment #110)
> psi-plus snapshot of revision 457 currently is FTBFS cause of too old qmake.

s/qmake/qconf/

We are waiting for qconf 1.5 from upstream.
Comment 112 Raphael Groner 2015-06-04 06:03:04 EDT
Additional Hints:

- Qt4 development is going to be discontinued with Qt 4.8.7 as the final release:
https://blog.qt.io/blog/2015/05/26/qt-4-8-7-released/

- Theres a suggestion to use optipng:
https://github.com/psi-im/psi/pull/181
Comment 113 uakudm 2015-06-04 08:09:53 EDT
(In reply to Raphael Groner from comment #109)
> Is there still interest to have an official psi-plus package?
Hello. I'm still interested in it.
Comment 114 Rex Dieter 2015-06-04 09:59:00 EDT
Re: comment #113

Thanks, but I think the comment was directed more at the submitter of this review (and eventual package maintainer), drizt

That is, unless you're willing to help maintain psi-plus?
Comment 115 Raphael Groner 2015-06-21 17:47:47 EDT
For the record, qca2 is renamed to qca. Should be fixed in the spec file.
Comment 116 Raphael Groner 2015-06-21 23:47:44 EDT
IMHO a build for Qt4 does not make much sense. Upstream tries hard to provide patches for Qt5 respectively.
Comment 117 Raphael Groner 2015-06-22 01:14:05 EDT

    /usr/lib64/qt4/bin/moc -DHAVE_MODULES -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include -I. conf4.cpp -o conf4.moc
    g++ -c -pipe -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -O2 -Wall -W -D_REENTRANT -DHAVE_MODULES -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include -I. -o conf4.o conf4.cpp
    In file included from conf4.cpp:703:0:
    buildmodeapp.qcm: In member function 'virtual bool qc_buildmodeapp::exec()':
    buildmodeapp.qcm:48:8: warning: variable 'staticmode' set but not used [-Wunused-but-set-variable]
    In file included from conf4.cpp:703:0:
    qca.qcm: In function 'bool qca_try(Conf*, const QString&, const QString&, const QString&, bool, bool, QString*)':
    qca.qcm:61:42: error: 'class Conf' has no member named 'escapePath'
    qca.qcm:61:68: error: 'class Conf' has no member named 'escapePath'
    In file included from conf4.cpp:703:0:
    qdbus.qcm: In member function 'virtual bool qc_qdbus::exec()':
    qdbus.qcm:33:17: warning: statement has no effect [-Wunused-value]
    In file included from conf4.cpp:703:0:
    whiteboarding.qcm: In member function 'virtual bool qc_whiteboarding::exec()':
    whiteboarding.qcm:23:14: warning: zero-length gnu_printf format string [-Wformat-zero-length]
    whiteboarding.qcm:24:14: warning: zero-length gnu_printf format string [-Wformat-zero-length]
    In file included from conf4.cpp:703:0:
    plugins.qcm: In member function 'virtual bool qc_plugins::exec()':
    plugins.qcm:23:14: warning: zero-length gnu_printf format string [-Wformat-zero-length]
    plugins.qcm:24:14: warning: zero-length gnu_printf format string [-Wformat-zero-length]
    In file included from conf4.cpp:703:0:
    recursiveprl.qcm: In member function 'bool qc_recursiveprl::writeConf()':
    recursiveprl.qcm:95:37: error: 'class Conf' has no member named 'escapedIncludes'
    recursiveprl.qcm:97:30: error: 'class Conf' has no member named 'escapedLibs'
    In file included from conf4.cpp:703:0:
    qca.qcm: At global scope:
    qca.qcm:102:13: warning: 'bool qca_try_framework(Conf*, const QString&, bool, bool, QString*)' defined but not used [-Wunused-function]
    Makefile:216: recipe for target 'conf4.o' failed
    gmake: *** [conf4.o] Error 1

See also https://github.com/psi-plus/main/issues/624
Comment 118 Raphael Groner 2015-06-22 01:15:54 EDT
Unbundle iris.
Comment 119 Raphael Groner 2015-08-27 09:59:39 EDT
Yet another user copr:
https://copr.fedoraproject.org/coprs/region51/psi-plus-snapshots/
Comment 120 Raphael Groner 2015-09-17 10:19:05 EDT
(In reply to Raphael Groner from comment #118)
> Unbundle iris.

(In reply to Raphael Groner from comment #116)
> IMHO a build for Qt4 does not make much sense. Upstream tries hard to
> provide patches for Qt5 respectively.

We need iris-qt5: bug #1264110
Comment 121 Upstream Release Monitoring 2015-10-13 18:12:44 EDT
ivanromanov's scratch build of psi-plus-0.16-0.15.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11433722
Comment 123 Ivan Romanov 2015-10-14 02:07:50 EDT
Due new bundled politics can we now use bundled iris? And continue review process of initial package (with some updates).
Comment 124 Raphael Groner 2015-10-14 03:37:40 EDT
Ivan, what about migration to Qt5 as requested in comment #112 and comment #116?

Any new thoughts about usages of
- newer qconf (comment #111),
- optipng integration (comment #112),
- autodownloader (comment #106)?
Comment 125 Raphael Groner 2015-10-14 03:42:39 EDT
- Please make use of %license macro.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

- Are you sure bundled iris version will always be in conjunction with psi[-plus] main version given in psi-plus.spec file?
> Provides:       bundled(iris) = %{version}
Comment 126 Ivan Romanov 2015-10-14 03:45:27 EDT
> Ivan, what about migration to Qt5 as requested in comment #112 and comment #116?
Migration requires new qconf. After qconf will be released I updated psi-plus and rebuild against Qt5.
Comment 127 Ivan Romanov 2015-10-14 04:02:24 EDT
> Any new thoughts about usages of
> - newer qconf (comment #111)
I can't update qconf just now. But I will do this as can found free time.

> - optipng integration (comment #112)
I don't think that this has matter. But I can do this for you.

> - autodownloader (comment #106)?
Hm. How user can know that him now must use alternative way to download resources?

> - Are you sure bundled iris version will always be in conjunction with psi[-plus] main version given in psi-plus.spec file?
Iris has no version now. Probably version can be dropped at all.
Comment 128 Ivan Romanov 2015-10-14 04:28:35 EDT
I checked optipng didn't reduce psi-plus images size. So I wont add it to spec.
Comment 129 Upstream Release Monitoring 2015-10-14 05:46:59 EDT
ivanromanov's scratch build of psi-plus-0.16-0.16.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11441037
Comment 131 Raphael Groner 2015-10-14 08:03:24 EDT
(In reply to Ivan Romanov from comment #127)
> > Any new thoughts about usages of
> > - newer qconf (comment #111)
> I can't update qconf just now. But I will do this as can found free time.

Please notice my proposed patch in bug #1234217.

…
> > - autodownloader (comment #106)?
> Hm. How user can know that him now must use alternative way to download
> resources?

You could invoke autodl
a. in %post to let the user optionally download and install the additional files as well as in %postun rm those, OR: 
b. provide a wrapper script that checks for first launch of psi-plus binary by looking for a special folder, for empty or non-existing folder call autodl, analogously rm that folder like for option a.

Check the bolzplatz sample how autodownloader works there. We need at least a .autodlrc configuration file and a small scriptlet to call autodl binary somewhere. Please let me know if you need further help, I'd glad to can help more.
http://pkgs.fedoraproject.org/cgit/bolzplatz2006.git/tree/bolzplatz2006.autodlrc
http://pkgs.fedoraproject.org/cgit/bolzplatz2006.git/tree/bolzplatz2006-functions.sh
http://pkgs.fedoraproject.org/cgit/bolzplatz2006.git/tree/bolzplatz2006.spec#n205


> > - Are you sure bundled iris version will always be in conjunction with psi[-plus] main version given in psi-plus.spec file?
> Iris has no version now. Probably version can be dropped at all.

That's okay for me.

(In reply to Ivan Romanov from comment #128)
> I checked optipng didn't reduce psi-plus images size. So I wont add it to
> spec.

Hmm, okay. It was worth a try.
Comment 132 Raphael Groner 2015-10-14 08:16:39 EDT
For the autodl topic, please read:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Syntax
Comment 133 Ivan Romanov 2015-10-14 08:52:33 EDT
> You could invoke autodl
autodownloader is good when there is some mandatory staff which is required for normal application working. Psi+ uses icons, etc the most of them users never will use. As I see autodownloader will be started only one time and load all staff. This does not fit.. Anyway Content Downloader is working for me. I don't see any problems. Now I don't see good reasons why Content Downloader should be replaced with autodownloader.

> Please notice my proposed patch in bug #1234217.
Which the patch?
Comment 134 Raphael Groner 2015-10-14 14:21:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
=> Ignore, something general seems to be b0rken in my build system.
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in psi-plus
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
=> Incomplete implementation, please use snippets as given in the link.
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in psi-plus
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database
- Are you sure about licenses? You do not need to mention licenses of stuff
  that doesn't make it into built packages (binary RPM).
  https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#Does_the_License:_tag_cover_the_SRPM_or_the_binary_RPM.3F
- You could use the new %make_build and %make_install macros.
- psi-plus-snapshot has revision 475, maybe you want to update. My experience
  is though 454 was the last one with support for Qt4 only.
- Add desktop-file-validate to %check, Requires: desktop-file-utils
  https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
- Please use cp -p to preserve timestamps.
- Please replace %define with %global.
- Please create a subpackage for huge content in /usr/share/psi
  with BuildArch: noarch.
- Output of rpmlint needs to be fixed,
  at least the errors (e.g. E: fsf-incorrect-address).


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "zlib/libpng", "BSD (3 clause)", "GPL (v2.0)", "Beerware",
     "LGPL (v2.1)", "GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later)", "GPL (v2)". 1602 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-review/709328
     -psi-plus/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/64x64/apps,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor
=> Those folders are managed in hicolor-icon-theme, please add as Requires.
https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_also_owned_by_a_package_implementing_required_functionality_of_your_package

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
=> Provides: bundled(iris), issue is reported to upstream.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in psi-
     plus-i18n , psi-plus-plugins , psi-plus-debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
=> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11447272

[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define rev 20141205git440,
     %define rev_l10n 52f378a, %define genericplugins attentionplugin
     autoreplyplugin birthdayreminderplugin captchaformsplugin chessplugin
     cleanerplugin clientswitcherplugin conferenceloggerplugin
     contentdownloaderplugin extendedmenuplugin extendedoptionsplugin
     gmailserviceplugin gomokugameplugin historykeeperplugin icqdieplugin
     imageplugin jabberdiskplugin juickplugin pepchangenotifyplugin
     qipxstatusesplugin screenshotplugin skinsplugin stopspamplugin
     storagenotesplugin translateplugin videostatusplugin watcherplugin
     gnupgplugin otrplugin, %define unixplugins gnome3supportplugin,
     %define devplugins pstoplugin
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2682880 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/709328-psi-plus/results/psi-plus-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-i18n-0.16-0.16.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-plugins-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.16.20141205git440.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/builder/fedora-review/709328-psi-plus/results/psi-plus-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-i18n-0.16-0.16.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-plugins-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.16.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.16.20141205git440.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: psi-plus-0.16-0.16.20141205git440.fc24.x86_64.rpm
          psi-plus-i18n-0.16-0.16.20141205git440.fc24.noarch.rpm
          psi-plus-plugins-0.16-0.16.20141205git440.fc24.x86_64.rpm
          psi-plus-debuginfo-0.16-0.16.20141205git440.fc24.x86_64.rpm
          psi-plus-0.16-0.16.20141205git440.fc24.src.rpm
psi-plus.x86_64: W: incoherent-version-in-changelog 1:0.16-0.16.20141205git440.R ['1:0.16-0.16.20141205git440.fc24', '1:0.16-0.16.20141205git440']
psi-plus.x86_64: W: no-manual-page-for-binary psi-plus
psi-plus-i18n.noarch: W: no-documentation
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US captcha -> catchall
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US vCards -> v Cards, cards, canards
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US iconsets -> icon sets, icon-sets, consents
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US submenu -> sub menu, sub-menu, submerse
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US microblogging -> micro blogging, micro-blogging, microbiological
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US bloging -> globing, blogging, blowing
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US gpg -> pg, gig, gag
psi-plus-plugins.x86_64: W: no-documentation
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/typeaheadfind.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/passdialog.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/cleaner.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontact.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitydlg.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activecontactsmenu.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/libpsi/tools/priorityvalidator.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememanager.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/htmltextcontroller.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/passdialog.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/globaleventqueue.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/messageview.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewtheme.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitycatalog.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/networkaccessmanager.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/cleanerplugin.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontactlistview.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsmanager.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatview_webkit.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/rosteravatarframe.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitycatalog.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psiselfcontact.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.ui
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistgroupmenu.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/jsutil.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/mucreasonseditor.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/statusmenu.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/libpsi/tools/priorityvalidator.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistviewdelegate.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/geolocationdlg.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewcommon.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistmodel.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/popupmanager.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psiwkavatarhandler.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psipopupinterface.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/webview.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewcommon.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/mucreasonseditor.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/typeaheadfind.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/bytearrayreply.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontact.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/options/opt_popups.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsregistry.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatview_webkit.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psiselfcontact.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/statusmenu.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/psiwindowheader.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeviewdelegate.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsspec.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activity.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontactlistmodel.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/jsutil.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistgroupmenu.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/messageview.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/gnome3supportplugin.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/contentdownloaderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/contentdownloaderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/iris/src/xmpp/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/iris/src/xmpp/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememodel.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activity.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistviewdelegate.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/rosteravatarframe.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/viewer.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/networkaccessmanager.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontactlistview.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewtheme.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeprovider.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistgroup.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/psicontactlistmodel.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememanager.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/viewer.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsmanager.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/options/opt_popups.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psiwkavatarhandler.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.rcc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/avcall/jinglertp.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/webview.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/htmltextcontroller.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememodel.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsregistry.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewthemeprovider.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/bytearrayreply.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/popupmanager.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/geolocationdlg.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/psiwindowheader.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activecontactsmenu.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/cleaner.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/capabilities/capsspec.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeviewdelegate.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/globaleventqueue.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/viewer.cpp
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/contactlistgroup.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitydlg.h
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/viewer.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/theme.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.moc
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/videostatusplugin.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psipopupinterface.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/theme.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeprovider.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewthemeprovider.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.ui
psi-plus-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/psi-plus-0.16-20141205git440/src/libpsi/tools/maybe.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.ui
psi-plus.src: W: strange-permission generate-tarball.sh 775
5 packages and 0 specfiles checked; 60 errors, 220 warnings.




Requires
--------
psi-plus (rpmlib, GLIBC filtered):
    /bin/sh
    gnupg
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXss.so.1()(64bit)
    libc.so.6()(64bit)
    libenchant.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libidn.so.11()(64bit)
    libidn.so.11(LIBIDN_1.0)(64bit)
    libjdns.so.2()(64bit)
    libm.so.6()(64bit)
    libminizip.so.1()(64bit)
    libpthread.so.0()(64bit)
    libqca.so.2()(64bit)
    libqjdns-qt4.so.2()(64bit)
    libqjson.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    qca-gnupg(x86-64)
    qca-ossl(x86-64)
    rtld(GNU_HASH)
    sox(x86-64)

psi-plus-i18n (rpmlib, GLIBC filtered):
    psi-plus

psi-plus-debuginfo (rpmlib, GLIBC filtered):

psi-plus-plugins (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcrypt.so.20()(64bit)
    libgcrypt.so.20(GCRYPT_1.6)(64bit)
    libgpg-error.so.0()(64bit)
    libm.so.6()(64bit)
    libotr.so.5()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtidy-0.99.so.0()(64bit)
    psi-plus(x86-64)
    rtld(GNU_HASH)



Provides
--------
psi-plus:
    application()
    application(psi-plus.desktop)
    bundled(iris)
    mimehandler(x-scheme-handler/xmpp)
    psi-plus
    psi-plus(x86-64)

psi-plus-i18n:
    psi-plus-i18n

psi-plus-debuginfo:
    psi-plus-debuginfo
    psi-plus-debuginfo(x86-64)

psi-plus-plugins:
    libattentionplugin.so()(64bit)
    libautoreplyplugin.so()(64bit)
    libbirthdayreminderplugin.so()(64bit)
    libcaptchaformsplugin.so()(64bit)
    libchessplugin.so()(64bit)
    libcleanerplugin.so()(64bit)
    libclientswitcherplugin.so()(64bit)
    libconferenceloggerplugin.so()(64bit)
    libcontentdownloaderplugin.so()(64bit)
    libextendedmenuplugin.so()(64bit)
    libextendedoptionsplugin.so()(64bit)
    libgmailserviceplugin.so()(64bit)
    libgnome3supportplugin.so()(64bit)
    libgnupgplugin.so()(64bit)
    libgomokugameplugin.so()(64bit)
    libhistorykeeperplugin.so()(64bit)
    libicqdieplugin.so()(64bit)
    libimageplugin.so()(64bit)
    libjabberdiskplugin.so()(64bit)
    libjuickplugin.so()(64bit)
    libotrplugin.so()(64bit)
    libpepchangenotifyplugin.so()(64bit)
    libpstoplugin.so()(64bit)
    libqipxstatusesplugin.so()(64bit)
    libscreenshotplugin.so()(64bit)
    libskinsplugin.so()(64bit)
    libstopspamplugin.so()(64bit)
    libstoragenotesplugin.so()(64bit)
    libtranslateplugin.so()(64bit)
    libvideostatusplugin.so()(64bit)
    libwatcherplugin.so()(64bit)
    psi-plus-plugins
    psi-plus-plugins(x86-64)



Unversioned so-files
--------------------
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libattentionplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libautoreplyplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libbirthdayreminderplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcaptchaformsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libchessplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcleanerplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libclientswitcherplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libconferenceloggerplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcontentdownloaderplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libextendedmenuplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libextendedoptionsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgmailserviceplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgnome3supportplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgnupgplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgomokugameplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libhistorykeeperplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libicqdieplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libimageplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libjabberdiskplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libjuickplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libotrplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libpepchangenotifyplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libpstoplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libqipxstatusesplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libscreenshotplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libskinsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libstopspamplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libstoragenotesplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libtranslateplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libvideostatusplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libwatcherplugin.so

Source checksums
----------------
http://files.psi-plus.com/sources/psi-plus-0.16-20141205git440.tar.bz2 :
  CHECKSUM(SHA256) this package     : 3ee886407a9b6beb19ecbefa6ded40143b27fd57bc195162dcb7f6a67d29a349
  CHECKSUM(SHA256) upstream package : 3ee886407a9b6beb19ecbefa6ded40143b27fd57bc195162dcb7f6a67d29a349
http://files.psi-plus.com/sources/psi-plus-l10n-52f378a.tar.bz2 :
  CHECKSUM(SHA256) this package     : 1aa4a14ecb3249e10bce283f5a70e604e5893cb50fc47b1115096e875d6ac1eb
  CHECKSUM(SHA256) upstream package : 1aa4a14ecb3249e10bce283f5a70e604e5893cb50fc47b1115096e875d6ac1eb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 709328
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 135 Raphael Groner 2015-10-14 14:24 EDT
Created attachment 1082923 [details]
licensecheck.txt
Comment 136 Upstream Release Monitoring 2015-10-14 14:46:34 EDT
raphgro's scratch build of psi-plus-0.16-0.16.20141205git440.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11447272
Comment 137 Ivan Romanov 2015-10-14 17:29:07 EDT
rpmlint errors fixed in upstream
Comment 138 Raphael Groner 2015-10-17 06:47:51 EDT
Initial package is going to be release with Qt4, removing RFE of qt5 packages as blockers.
Comment 139 Upstream Release Monitoring 2015-10-17 12:26:11 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491354
Comment 140 Ivan Romanov 2015-10-17 12:37:10 EDT
Spec URL: https://raw.githubusercontent.com/RussianFedora/psi-plus/f3d4663796af88f9d7a04f1f113817fc0d95a283/psi-plus.spec
SRPM URL:

https://kojipkgs.fedoraproject.org//work/tasks/1355/11491355/psi-plus-0.16-0.17.20141205git440.fc24.src.rpm

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11491354

- dropped version for bundled iris
- added hicolor-icon-theme to Requires
- fixed post, postun and posttrans scriptlets
- moved noarch resources to common subpackage
- moved desktop-file-validate to %%check section
- use %%global instead of %%define
- preserve timestamp
- use modern %%make_build
- some fixes with licensies
- fixed %%{_libdir}/psi-plus is not owned any package
- fix duplicated /usr/share/psi-plus
- remove bundled jdns
- fix rpmlint spurious-executable-perm
Comment 141 Upstream Release Monitoring 2015-10-17 12:45:08 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491478
Comment 142 Upstream Release Monitoring 2015-10-17 12:51:16 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491497
Comment 143 Upstream Release Monitoring 2015-10-17 12:54:24 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491503
Comment 144 Upstream Release Monitoring 2015-10-17 12:58:17 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491510
Comment 145 Upstream Release Monitoring 2015-10-17 13:05:49 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491517
Comment 146 Upstream Release Monitoring 2015-10-17 13:26:59 EDT
ivanromanov's scratch build of psi-plus-0.16-0.17.20141205git440.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491532
Comment 147 Upstream Release Monitoring 2015-10-17 13:42:22 EDT
ivanromanov's scratch build of psi-plus-0.16-0.18.20141205git440.fc22.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491569
Comment 149 Raphael Groner 2015-10-19 09:08:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
=> Ignore, weird bug with debuginfo package.
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Add %license COPYING to common subpackage. All packages need a reference
  to a valid license text.
- Please group %description plugins right down under %package plugins (SHOULD).
- Add %dir %{_datadir}/%{name}/ to %files common to let it own completely,
  though I don't understand the note below, maybe a bug found in f-r.
- Please explain or remove MimeType entry from desktop files.
  What's the purpose of this entry?
- rpmlint output:
-- E: incorrect-fsf-address - This seems to be fixed at upstream, thanks.
-- E: non-standard-executable-perm - Permissions of plugins .so files must
   be set to 0755.
-- W: hidden-file-or-dir - Can you exclude all those marked files? I doubt
   they're not needed at runtime, do they?


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> Plugins dedicated to psi-plus only, okay.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "zlib/libpng", "BSD (3 clause)", "GPL (v2.0)", "Beerware",
     "LGPL (v2.1)", "GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later)", "GPL (v2)". 1586 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-review/709328
     -psi-plus/licensecheck.txt
=> Okay, see comment in spec file, not all sources are built for binary RPMs.
[!]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/psi-plus
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
=> bundled(iris) as exception, qjdns is unbundled properly.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in psi-plus
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in psi-plus
=> Okay, can not be verified automatically due to weird install problem.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
=> Please fix file permissions (rpmlint) and license for -common package.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in psi-
     plus-i18n , psi-plus-plugins , psi-plus-common , psi-plus-debuginfo
[x]: Package functions as described.
[?]: Latest version is packaged.
=> psi-plus-snapshot holds latest releases, but not usable, as discussed.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/709328-psi-plus/results/psi-plus-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-i18n-0.16-0.18.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-plugins-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-common-0.16-0.18.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.18.20141205git440.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/builder/fedora-review/709328-psi-plus/results/psi-plus-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-i18n-0.16-0.18.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-plugins-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-common-0.16-0.18.20141205git440.fc24.noarch.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.18.20141205git440.fc24.x86_64.rpm /home/builder/fedora-review/709328-psi-plus/results/psi-plus-debuginfo-0.16-0.18.20141205git440.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: psi-plus-0.16-0.18.20141205git440.fc24.x86_64.rpm
          psi-plus-i18n-0.16-0.18.20141205git440.fc24.noarch.rpm
          psi-plus-plugins-0.16-0.18.20141205git440.fc24.x86_64.rpm
          psi-plus-common-0.16-0.18.20141205git440.fc24.noarch.rpm
          psi-plus-debuginfo-0.16-0.18.20141205git440.fc24.x86_64.rpm
          psi-plus-0.16-0.18.20141205git440.fc24.src.rpm
psi-plus.x86_64: W: incoherent-version-in-changelog 1:0.16-0.18.20141205git440.R ['1:0.16-0.18.20141205git440.fc24', '1:0.16-0.18.20141205git440']
psi-plus.x86_64: W: no-manual-page-for-binary psi-plus
psi-plus-i18n.noarch: W: no-documentation
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US captcha -> catchall
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US vCards -> v Cards, cards, canards
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US iconsets -> icon sets, icon-sets, consents
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US submenu -> sub menu, sub-menu, submerse
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US microblogging -> micro blogging, micro-blogging, microbiological
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US bloging -> globing, blogging, blowing
psi-plus-plugins.x86_64: W: spelling-error %description -l en_US gpg -> pg, gig, gag
psi-plus-plugins.x86_64: W: no-documentation
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libscreenshotplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libattentionplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libchessplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libstopspamplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libcleanerplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libvideostatusplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libhistorykeeperplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libskinsplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libgmailserviceplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libstoragenotesplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libjabberdiskplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libpstoplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libextendedmenuplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libqipxstatusesplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libicqdieplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libjuickplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libcaptchaformsplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libgomokugameplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libgnupgplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libwatcherplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libclientswitcherplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libotrplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libextendedoptionsplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libpepchangenotifyplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libautoreplyplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libbirthdayreminderplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libimageplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libconferenceloggerplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libcontentdownloaderplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libtranslateplugin.so 775
psi-plus-plugins.x86_64: E: non-standard-executable-perm /usr/lib64/psi-plus/plugins/libgnome3supportplugin.so 775
psi-plus-common.noarch: W: spelling-error Summary(en_US) Noarch -> No arch, No-arch, Monarch
psi-plus-common.noarch: W: no-documentation
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitycatalog.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/jsutil.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewcommon.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/bytearrayreply.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeviewdelegate.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/popupmanager.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewcommon.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/theme.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/libpsi/tools/priorityvalidator.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activity.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/theme.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/libpsi/tools/priorityvalidator.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/popupmanager.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewtheme.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/storagenotesplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/geolocationdlg.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/jsutil.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/psiwindowheader.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/htmltextcontroller.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewthemeprovider.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activecontactsmenu.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/conferenceloggerplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/rosteravatarframe.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/messageview.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/networkaccessmanager.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/contentdownloaderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/contentdownloaderplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/networkaccessmanager.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/passdialog.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/messageview.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitycatalog.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/bytearrayreply.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatview_webkit.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activity.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/rosteravatarframe.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/webview.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psiwkavatarhandler.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeviewdelegate.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedoptionsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/birthdayreminderplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gnupgplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/attentionplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememanager.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/historykeeperplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeprovider.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/qipxstatusesplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/iris/src/xmpp/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/iris/src/xmpp/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/extendedmenuplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/typeaheadfind.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/stopspamplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/options/opt_popups.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/pepchangenotifyplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psipopupinterface.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewthemeprovider.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/passdialog.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememodel.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/mucreasonseditor.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememodel.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/options/opt_popups.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/imageplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/dev/pstoplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/psiwindowheader.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitydlg.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/otrplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/screenshotplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/skinsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/icqdieplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/juickplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/jabberdiskplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/mucreasonseditor.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithememanager.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gmailserviceplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/webview.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/translateplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/unix/gnome3supportplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/gomokugameplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatviewtheme.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/chatview_webkit.h
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/watcherplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/cleanerplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/videostatusplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.rcc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/captchaformsplugin/.rcc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activitydlg.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/widgets/typeaheadfind.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.ui
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/chessplugin/.ui
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psiwkavatarhandler.h
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/activecontactsmenu.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psithemeprovider.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/htmltextcontroller.cpp
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/clientswitcherplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.moc
psi-plus-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/psi-plus-0.16-20141205git440/src/plugins/generic/autoreplyplugin/.moc
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/geolocationdlg.cpp
psi-plus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/psi-plus-0.16-20141205git440/src/psipopupinterface.h
psi-plus.src: W: strange-permission generate-tarball.sh 775
psi-plus.src:79: W: unversioned-explicit-provides bundled(iris)
6 packages and 0 specfiles checked; 91 errors, 187 warnings.




Requires
--------
psi-plus (rpmlib, GLIBC filtered):
    /bin/sh
    gnupg
    hicolor-icon-theme
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXss.so.1()(64bit)
    libc.so.6()(64bit)
    libenchant.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libidn.so.11()(64bit)
    libidn.so.11(LIBIDN_1.0)(64bit)
    libjdns.so.2()(64bit)
    libm.so.6()(64bit)
    libminizip.so.1()(64bit)
    libpthread.so.0()(64bit)
    libqca.so.2()(64bit)
    libqjdns-qt4.so.2()(64bit)
    libqjson.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    psi-plus-common
    qca-gnupg(x86-64)
    qca-ossl(x86-64)
    rtld(GNU_HASH)
    sox(x86-64)

psi-plus-i18n (rpmlib, GLIBC filtered):
    psi-plus

psi-plus-common (rpmlib, GLIBC filtered):

psi-plus-plugins (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcrypt.so.20()(64bit)
    libgcrypt.so.20(GCRYPT_1.6)(64bit)
    libgpg-error.so.0()(64bit)
    libm.so.6()(64bit)
    libotr.so.5()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtidy-0.99.so.0()(64bit)
    psi-plus(x86-64)
    rtld(GNU_HASH)

psi-plus-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
psi-plus:
    application()
    application(psi-plus.desktop)
    bundled(iris)
    mimehandler(x-scheme-handler/xmpp)
    psi-plus
    psi-plus(x86-64)

psi-plus-i18n:
    psi-plus-i18n

psi-plus-common:
    psi-plus-common

psi-plus-plugins:
    libattentionplugin.so()(64bit)
    libautoreplyplugin.so()(64bit)
    libbirthdayreminderplugin.so()(64bit)
    libcaptchaformsplugin.so()(64bit)
    libchessplugin.so()(64bit)
    libcleanerplugin.so()(64bit)
    libclientswitcherplugin.so()(64bit)
    libconferenceloggerplugin.so()(64bit)
    libcontentdownloaderplugin.so()(64bit)
    libextendedmenuplugin.so()(64bit)
    libextendedoptionsplugin.so()(64bit)
    libgmailserviceplugin.so()(64bit)
    libgnome3supportplugin.so()(64bit)
    libgnupgplugin.so()(64bit)
    libgomokugameplugin.so()(64bit)
    libhistorykeeperplugin.so()(64bit)
    libicqdieplugin.so()(64bit)
    libimageplugin.so()(64bit)
    libjabberdiskplugin.so()(64bit)
    libjuickplugin.so()(64bit)
    libotrplugin.so()(64bit)
    libpepchangenotifyplugin.so()(64bit)
    libpstoplugin.so()(64bit)
    libqipxstatusesplugin.so()(64bit)
    libscreenshotplugin.so()(64bit)
    libskinsplugin.so()(64bit)
    libstopspamplugin.so()(64bit)
    libstoragenotesplugin.so()(64bit)
    libtranslateplugin.so()(64bit)
    libvideostatusplugin.so()(64bit)
    libwatcherplugin.so()(64bit)
    psi-plus-plugins
    psi-plus-plugins(x86-64)

psi-plus-debuginfo:
    psi-plus-debuginfo
    psi-plus-debuginfo(x86-64)



Unversioned so-files
--------------------
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libattentionplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libautoreplyplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libbirthdayreminderplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcaptchaformsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libchessplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcleanerplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libclientswitcherplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libconferenceloggerplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libcontentdownloaderplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libextendedmenuplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libextendedoptionsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgmailserviceplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgnome3supportplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgnupgplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libgomokugameplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libhistorykeeperplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libicqdieplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libimageplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libjabberdiskplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libjuickplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libotrplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libpepchangenotifyplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libpstoplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libqipxstatusesplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libscreenshotplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libskinsplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libstopspamplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libstoragenotesplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libtranslateplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libvideostatusplugin.so
psi-plus-plugins: /usr/lib64/psi-plus/plugins/libwatcherplugin.so

Source checksums
----------------
http://files.psi-plus.com/sources/psi-plus-0.16-20141205git440.tar.bz2 :
  CHECKSUM(SHA256) this package     : 3ee886407a9b6beb19ecbefa6ded40143b27fd57bc195162dcb7f6a67d29a349
  CHECKSUM(SHA256) upstream package : 3ee886407a9b6beb19ecbefa6ded40143b27fd57bc195162dcb7f6a67d29a349
http://files.psi-plus.com/sources/psi-plus-l10n-52f378a.tar.bz2 :
  CHECKSUM(SHA256) this package     : 1aa4a14ecb3249e10bce283f5a70e604e5893cb50fc47b1115096e875d6ac1eb
  CHECKSUM(SHA256) upstream package : 1aa4a14ecb3249e10bce283f5a70e604e5893cb50fc47b1115096e875d6ac1eb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 709328
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 150 Ivan Romanov 2015-10-19 09:16:58 EDT
> - You could use the new %make_build and %make_install macros.
I can't. No %make_build on Epel7. %make_install use DESTDIR but Makefile uses only INSTALL_ROOT. It is not Makefile generated with autoconf configure script. For Makefile is used qmake (specific Qt tool).
Comment 151 Ivan Romanov 2015-10-19 09:47:51 EDT
[!]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in psi-plus

%post and %postun allreaded had update-desktop-database. What wrong with this?

[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in psi-
     plus-i18n , psi-plus-plugins , psi-plus-common , psi-plus-debuginfo

what wrong here?
Comment 152 Upstream Release Monitoring 2015-10-19 10:46:04 EDT
ivanromanov's scratch build of psi-plus-0.16-0.19.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11500512
Comment 153 Raphael Groner 2015-10-19 11:51:22 EDT
(In reply to Ivan Romanov from comment #151)
> [!]: update-desktop-database is invoked in %post and %postun if package
>      contains desktop file(s) with a MimeType: entry.
>      Note: desktop file(s) with MimeType entry in psi-plus
> 
> %post and %postun allreaded had update-desktop-database. What wrong with
> this?

Sorry, my fault. You're right.
 
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in psi-
>      plus-i18n , psi-plus-plugins , psi-plus-common , psi-plus-debuginfo
> 
> what wrong here?

Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

Add it like that to all sub packages (like already done so for plugins), please mind the inclusion of %{?_isa} everywhere. Maybe f-r gets also confused cause of epoch given in plugins, not sure if needed at all in Requires.
Comment 155 Upstream Release Monitoring 2015-10-19 23:52:02 EDT
ivanromanov's scratch build of psi-plus-0.16-0.20.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11508384
Comment 157 Raphael Groner 2015-10-20 09:50:27 EDT
It looks now good to me. APPROVED

Please be aware about the following, did you forget to upload new spec file?

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).

Diff spec file in url and in SRPM
---------------------------------
--- /home/builder/fedora-review/709328-psi-plus/srpm/psi-plus.spec	2015-10-20 13:23:30.707744057 +0200
+++ /home/builder/fedora-review/709328-psi-plus/srpm-unpacked/psi-plus.spec	2015-10-20 04:50:22.000000000 +0200
@@ -91,12 +91,4 @@
 This package adds internationalization to Psi+.
 
-%package        common
-Summary:        Noarch resources for Psi+
-BuildArch:      noarch
-
-%description    common
-Psi+ - Psi IM Mod by psi-dev@conference.jabber.ru
-This package contains huge of base mandatory resources for Psi+.
-
 %package        plugins
 Summary:        Plugins pack for Psi+
@@ -106,6 +98,12 @@
 License:        GPLv2+ and BSD and Beerware
 Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
-# Filter out plugins from provides
-%global __provides_exclude_from ^%{_libdir}/psi-plus
+
+%package        common
+Summary:        Noarch resources for Psi+
+BuildArch:      noarch
+
+%description    common
+Psi+ - Psi IM Mod by psi-dev@conference.jabber.ru
+This package contains huge of base mandatory resources for Psi+.
 
 
@@ -380,5 +378,4 @@
 * Tue Oct 20 2015 Ivan Romanov <drizt@land.ru> - 1:0.16-0.20.20141205git440
 - set correct plugins permissions
-- Filter out plugins from provides
 
 * Mon Oct 19 2015 Ivan Romanov <drizt@land.ru> - 1:0.16-0.19.20141205git440
Comment 158 Upstream Release Monitoring 2015-10-20 10:03:16 EDT
ivanromanov's scratch build of psi-plus-0.16-0.20.20141205git440.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11516038
Comment 159 Fedora Update System 2015-10-23 02:01:03 EDT
psi-plus-0.16-0.21.20141205git440.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e712581b5
Comment 160 Fedora Update System 2015-10-23 02:03:58 EDT
psi-plus-0.16-0.21.20141205git440.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-05b934b5dd
Comment 161 Fedora Update System 2015-10-23 02:28:53 EDT
psi-plus-0.16-0.21.20141205git440.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d64344c4bf
Comment 162 Fedora Update System 2015-10-24 08:06:19 EDT
psi-plus-0.16-0.21.20141205git440.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update psi-plus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e712581b5
Comment 163 Fedora Update System 2015-10-26 14:28:03 EDT
psi-plus-0.16-0.21.20141205git440.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update psi-plus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-05b934b5dd
Comment 164 Fedora Update System 2015-10-26 17:20:34 EDT
psi-plus-0.16-0.21.20141205git440.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update psi-plus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d64344c4bf
Comment 165 Fedora Update System 2015-11-01 20:20:39 EST
psi-plus-0.16-0.21.20141205git440.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 166 Fedora Update System 2015-11-04 17:22:17 EST
psi-plus-0.16-0.21.20141205git440.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 167 Fedora Update System 2015-11-10 11:51:48 EST
psi-plus-0.16-0.21.20141205git440.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.